package com.zsElectric.boot.business.converter;

import com.zsElectric.boot.business.model.entity.UserVehicle;
import com.zsElectric.boot.business.model.form.UserVehicleForm;
import com.zsElectric.boot.business.model.vo.UserVehicleVO;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * 用户车辆对象转换器
 *
 * @author zsElectric
 * @since 2026-03-03
 */
@Mapper(componentModel = "spring")
public interface UserVehicleConverter {

    UserVehicleForm toForm(UserVehicle entity);

    UserVehicle toEntity(UserVehicleForm formData);

    UserVehicleVO toVO(UserVehicle entity);

    UserVehicleVO formToVO(UserVehicleForm formData);

    List<UserVehicleVO> toVOList(List<UserVehicle> entityList);
}
